Debian Bug report logs - #662497
scorched3d: Please Build-Depends on libpng-dev, change from libpng12-dev

version graph

Package: src:scorched3d; Maintainer for src:scorched3d is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Mon, 5 Mar 2012 05:15:54 UTC

Severity: important

Found in version scorched3d/43.2a.dfsg-6

Fixed in version scorched3d/43.3+dfsg-1

Done: Juhani Numminen <juhaninumminen0@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#662497; Package src:scorched3d. (Mon, 05 Mar 2012 05:15:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 05 Mar 2012 05:15:57 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: maintonly@bugs.debian.org
Subject: scorched3d: Please Build-Depends on libpng-dev, change from libpng12-dev
Date: Mon, 5 Mar 2012 14:17:02 +0900
Source: scorched3d
Version: 43.2a.dfsg-6
Severity: important
User: libpng@packages.debian.org
Usertags: libpng15-transition

Hi,

Libpng maintainers plan transition of libpng[0].
Version 1.2 is used for libpng of current debian, but will shifts 
to version 1.5 in this transition.
Your package still does it depending on libpng12-dev.
We cannot shift in transition mentioned above. 
Please change Build-Depends of the package from libpng12-dev to libpng-dev.

Build-Depends: binutils, automake, autoconf, debhelper (>= 8), gawk, libsdl1.2-dev, libsdl-net1.2-dev, libopenal-dev, libalut-dev, libfreetype6-dev, libwxgtk2.8-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogg-dev, libvorbis-dev, libfftw3-dev, libpng12-dev, libjpeg-dev, libexpat1-dev, pkg-config

[0]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Added blocking bug(s) of 662497: 727113 Request was from Juhani Numminen <juhaninumminen0@gmail.com> to control@bugs.debian.org. (Thu, 24 Oct 2013 13:30:06 GMT) Full text and rfc822 format available.

Reply sent to Juhani Numminen <juhaninumminen0@gmail.com>:
You have taken responsibility. (Fri, 25 Oct 2013 15:54:14 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Fri, 25 Oct 2013 15:54:14 GMT) Full text and rfc822 format available.

Message #12 received at 662497-close@bugs.debian.org (full text, mbox):

From: Juhani Numminen <juhaninumminen0@gmail.com>
To: 662497-close@bugs.debian.org
Subject: Bug#662497: fixed in scorched3d 43.3+dfsg-1
Date: Fri, 25 Oct 2013 15:51:58 +0000
Source: scorched3d
Source-Version: 43.3+dfsg-1

We believe that the bug you reported is fixed in the latest version of
scorched3d, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662497@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Juhani Numminen <juhaninumminen0@gmail.com> (supplier of updated scorched3d package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Oct 2013 15:51:38 +0300
Source: scorched3d
Binary: scorched3d scorched3d-dbg scorched3d-data
Architecture: source amd64 all
Version: 43.3+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Juhani Numminen <juhaninumminen0@gmail.com>
Description: 
 scorched3d - 3D artillery game similar to Scorched Earth
 scorched3d-data - data files for Scorched3D game
 scorched3d-dbg - 3D artillery game similar to Scorched Earth, debug data
Closes: 634843 662497 723051
Changes: 
 scorched3d (43.3+dfsg-1) unstable; urgency=medium
 .
   * Team upload.
 .
   [ Stephen M. Webb ]
   * new upstream release
   * added myself as an uploader
   * refreshed debian/patches/01-openal-pkgconfig.diff
   * update to debhelper compat level 9
   * removed embedded copy of GLEW library (closes: #634843)
     - removed lintian overrides
   * added dpkg Pre-Depends to -dbg and -data packages for xz compression
   * replaced the embedded copy of DejaVuCondensedBold font with the system one
 .
   [ Juhani Numminen ]
   * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662497).
   * Update of debian/rules to dh 9 by Stephen M. Webb eliminates "cannot find
     Makefile.in" FTBFS (Closes: #723051).
   * Set urgency to medium due to fix for release-critical bug.
   * Update standards version to 3.9.4. No changes were necessary.
   * Correct Vcs-* URLs to point to anonscm.debian.org.
   * Add missing patch metadata and unify patch style.
   * Add 0005-append-buildflags.patch to enable hardening.
   * Refer to GPL-2 instead of unversioned GPL in debian/copyright.
   * Add keywords to scorched3d.desktop file.
Checksums-Sha1: 
 a60bd3baec04ce961cc63946cf222acf868802a1 1847 scorched3d_43.3+dfsg-1.dsc
 c64b3efdbe8cc3222e365a1b81b56291f2fbe507 68795472 scorched3d_43.3+dfsg.orig.tar.xz
 1f20cd46ecdfebd513af7f9f64fded3a2e87a799 119056 scorched3d_43.3+dfsg-1.debian.tar.xz
 0dfc99da37136d9caee7d98ddbbc2796406583a5 1512434 scorched3d_43.3+dfsg-1_amd64.deb
 09cb50579974a80ed8dddfb01d5da52eb4206a78 27710164 scorched3d-dbg_43.3+dfsg-1_amd64.deb
 78e1d0ab372acc70d1920728aa4405b12c39e0a3 67251992 scorched3d-data_43.3+dfsg-1_all.deb
Checksums-Sha256: 
 4c98fe11e106e70e2bfc708f5422448383665f16d3673f875f0661f7af6a9fe3 1847 scorched3d_43.3+dfsg-1.dsc
 c938427ed941c0b847d738b016e007636bd291bd89a0d99e80d6a93fc42546ad 68795472 scorched3d_43.3+dfsg.orig.tar.xz
 74fe868d8ddd27c495c0cd9bc618129716f0c6b63b20cfb58bd5075ea0635888 119056 scorched3d_43.3+dfsg-1.debian.tar.xz
 000668229d7718bc307fbe0fde1f9c0025f7a9a38d1e75e2c021724660d8a79e 1512434 scorched3d_43.3+dfsg-1_amd64.deb
 500f5596f43faefb3c17d7d955aa44721b8b75c48bd118d4cfe06905b49a7842 27710164 scorched3d-dbg_43.3+dfsg-1_amd64.deb
 6f1bb86847b5c47f088673d674d0593b4d380febd7e1f50e28bdca268aa03120 67251992 scorched3d-data_43.3+dfsg-1_all.deb
Files: 
 9a7c90a4e142031fd1bb010dbdc47208 1847 games optional scorched3d_43.3+dfsg-1.dsc
 f27746c94785a936c635054a76ba3520 68795472 games optional scorched3d_43.3+dfsg.orig.tar.xz
 b06458154ec8e5c17cae79a72dd2ab64 119056 games optional scorched3d_43.3+dfsg-1.debian.tar.xz
 ca3af6bab844cb8ad81ea17913956dcb 1512434 games optional scorched3d_43.3+dfsg-1_amd64.deb
 08cbb4f982eae1fb2dfc811b809017b1 27710164 debug extra scorched3d-dbg_43.3+dfsg-1_amd64.deb
 1adb818bea241067e1e217db90eaed12 67251992 games optional scorched3d-data_43.3+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJqhGQACgkQsKTFpDfZQSwD/ACgoaidOg3U8pXRGjGHpE4ERALF
5vQAoJbwhpAhi8+0gA5O+ZWOtK0hiVSu
=fYQI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Nov 2013 07:30:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:00:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.